de.vc.io.rtf.parser

## Class ContainerContext

- java.lang.Object
- - de.vc.io.rtf.parser.ContainerContext

- All Implemented Interfaces:
    java.lang.Cloneable

      public class ContainerContext
      extends java.lang.Object
      implements java.lang.Cloneable

  Context of a container.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REGION_BODY`
    `static int` | `REGION_FOOTER`
    `static int` | `REGION_HEADER`
    `static int` | `TYPE_BORDER_FRAME`
    `static int` | `TYPE_FIELD_INSTRUCTION`
    `static int` | `TYPE_FIELD_RESULT`
    `static int` | `TYPE_FLOW`
    `static int` | `TYPE_FOOTNOTE`
    `static int` | `TYPE_HEADER_FOOTER`
    `static int` | `TYPE_OTHER`
    `static int` | `TYPE_POSITION_FRAME`
    `static int` | `TYPE_TABLE`
    `static int` | `TYPE_TABLE_CELL`
    `static int` | `TYPE_TABLE_ROW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowsText()`
    `ContainerContext` | `childContext(int containerType, boolean keepTableLevel)`
    `void` | `createNestedBookmarks()`
    `java.util.Map` | `getBookmarks()`
    `java.lang.String` | `getContainerTypeName()`
    `ContainerContext` | `getContext(int type)`
    `RTFBorder` | `getFrameBorder()`
    `ParagraphProperties` | `getFrameInitializeProperties()`
    `PositionProperties` | `getFramePosition()`
    `static java.lang.String` | `getNameOfContainer(int type)`
    `ContainerContext` | `getParentContext()`
    `int` | `getRegion()`
    `int` | `getTableLevel()`
    `int` | `getType()`
    `boolean` | `isFrameRoot()`
    `boolean` | `isInContext(int ctxType, boolean inherit)`
    `boolean` | `isInFootnote()`
    `void` | `setTableLevel(int level)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REGION_BODY

          public static final int REGION_BODY

      See Also:
        Constant Field Values

    - #### REGION_HEADER

          public static final int REGION_HEADER

      See Also:
        Constant Field Values

    - #### REGION_FOOTER

          public static final int REGION_FOOTER

      See Also:
        Constant Field Values

    - #### TYPE_FLOW

          public static final int TYPE_FLOW

      See Also:
        Constant Field Values

    - #### TYPE_TABLE

          public static final int TYPE_TABLE

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_ROW

          public static final int TYPE_TABLE_ROW

      See Also:
        Constant Field Values

    - #### TYPE_TABLE_CELL

          public static final int TYPE_TABLE_CELL

      See Also:
        Constant Field Values

    - #### TYPE_FOOTNOTE

          public static final int TYPE_FOOTNOTE

      See Also:
        Constant Field Values

    - #### TYPE_HEADER_FOOTER

          public static final int TYPE_HEADER_FOOTER

      See Also:
        Constant Field Values

    - #### TYPE_POSITION_FRAME

          public static final int TYPE_POSITION_FRAME

      See Also:
        Constant Field Values

    - #### TYPE_BORDER_FRAME

          public static final int TYPE_BORDER_FRAME

      See Also:
        Constant Field Values

    - #### TYPE_FIELD_INSTRUCTION

          public static final int TYPE_FIELD_INSTRUCTION

      See Also:
        Constant Field Values

    - #### TYPE_FIELD_RESULT

          public static final int TYPE_FIELD_RESULT

      See Also:
        Constant Field Values

    - #### TYPE_OTHER

          public static final int TYPE_OTHER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContainerContext

          public ContainerContext()

  - ### Method Detail

    - #### getTableLevel

          public int getTableLevel()

    - #### getRegion

          public int getRegion()

    - #### isInFootnote

          public boolean isInFootnote()

    - #### getParentContext

          public ContainerContext getParentContext()

    - #### getFramePosition

          public PositionProperties getFramePosition()

    - #### getFrameBorder

          public RTFBorder getFrameBorder()

    - #### childContext

          public ContainerContext childContext(int containerType,
                                      boolean keepTableLevel)

    - #### getType

          public int getType()

    - #### allowsText

          public boolean allowsText()

    - #### getNameOfContainer

          public static final java.lang.String getNameOfContainer(int type)

    - #### getContainerTypeName

          public java.lang.String getContainerTypeName()

    - #### getContext

          public ContainerContext getContext(int type)

    - #### isFrameRoot

          public boolean isFrameRoot()

    - #### isInContext

          public boolean isInContext(int ctxType,
                            boolean inherit)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getBookmarks

          public java.util.Map getBookmarks()

    - #### createNestedBookmarks

          public void createNestedBookmarks()

    - #### setTableLevel

          public void setTableLevel(int level)

    - #### getFrameInitializeProperties

          public ParagraphProperties getFrameInitializeProperties()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.